<?php
/*
Plugin Name: Test LMB^Box WordPress Plugin API
Plugin URI: http://lmbbox.com/projects/wordpress-plugin-api/
Description: A Test plugin for LMB^Box WordPress Plugin API.
Author: Thomas Montague
Version: 0.1
Author URI: http://lmbbox.com/
*/


class lmbbox_test_class extends WordPress_Plugin_API {

/* No need to have a class constructor as the parent class will handle everything
	// PHP5 Constructor
	function __construct($name, $version, $folder, $file) {
		parent::__construct($name, $version, $folder, $file);
	}
	// PHP4 Constructor - Just calls PHP5 Constructor
	function lmbbox_test_class($name, $version, $folder, $file) {
		$this->__construct($name, $version, $folder, $file);
	}
*/

	// Setup Options
	function __setup_options() {
		$this->__add_option('author', 'Thomas Montague', 'This is the author.', 'text');
		$this->__add_option('pass', '', 'Set your password.', 'password');
		$this->__add_option('content', '', 'Content:', 'textarea');
		$this->__add_option('show', FALSE, 'Show your info.', 'checkbox');
		$this->__add_option('hide', 'no-show', 'You will not see this!', 'hidden');

		$which_values = array(
								'one'		=> 'Option One',
								'two'		=> 'Option Two',
								'three'		=> 'Option Three',
								'four'		=> 'Option Four',
								'five'		=> 'Option Five',
							);
		$this->__add_option('which', '', 'Select which one you want.', 'select', $which_values);

		$choose_values = array(
								'1'		=> 'Show 1',
								'2'		=> 'Show 2',
								'3'		=> 'Show 3'
							);
		$this->__add_option('choose', '', 'Radio which one you want.', 'radio', $choose_values);
	}

	// Setup Menu Pages
	function __setup_menu_pages() {
		$this->__add_menu_page('lmbbox_test', 'LMB^Box Test Page', 'LMB^Box Test Menu', 8);
		$this->__add_meta_box('lmbbox_test', 'normal', 'author', 'Author Options Title', 'author,pass');
		$this->__add_meta_box('lmbbox_test', 'normal', 'content', 'Content Option Title', 'content');

		$this->__add_menu_page('lmbbox_test2', 'LMB^Box Test2 Page', 'LMB^Box Test2 Menu', 8, 'options', FALSE);
		$this->__add_meta_box('lmbbox_test2', 'normal', 'show', 'Show Option Title', 'show');
		$this->__add_meta_box('lmbbox_test2', 'hidden', 0, 'Hide Option Title', 'hide');
		$this->__add_meta_box('lmbbox_test2', 'normal', 'choose', 'Multiple Choice Options', 'which,choose');	
	}
}


$lmbbox_test = new lmbbox_test_class('Test LMB^Box WordPress Plugin API', '0.1', 'lmbbox-wordpress-plugin-api', 'lmbbox-test.php');

?>